/*
Algorithm Name: Keccak
Authors: Guido Bertoni, Joan Daemen, Michaël Peeters and Gilles Van Assche
Date: September 10, 2009

This code, originally by Guido Bertoni, Joan Daemen, Michaël Peeters and
Gilles Van Assche as a part of the SHA-3 submission, is hereby put in the
public domain. It is given as is, without any guarantee.

For more information, feedback or questions, please refer to our website:
http://keccak.noekeon.org/
*/

#ifndef _KeccakPermutationReference_h_
#define _KeccakPermutationReference_h_

void displayRoundConstants(FILE *f);
void displayRhoOffsets(FILE *f);

int KeccakPermutationIntermediateValuesForVHDL();
int Keccak_testvector_for_VHDL();

#endif
